// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
var app = angular.module('YDSFApp', ['ionic','ngSanitize', 'ngCordova','ngIOS9UIWebViewPatch','mobsocial.products','pdf']);
// not necessary for a web based app // needed for cordova/ phonegap application
app.run(function($ionicPlatform, AuthService) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
  	
    if(window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if(window.StatusBar) {
      // Set the statusbar to use the default style, tweak this to
      // remove the status bar on iOS or change it to use white instead of dark colors.
      StatusBar.styleDefault();
    }
  });
  
});
//app run getting device id
app.run(function ($rootScope, myPushNotification) {
	// app device ready
	
	document.addEventListener("deviceready", function(){
		// alert("reg");
		myPushNotification.registerPush();

		if(!localStorage.device_token_syt || localStorage.device_token_syt == '-1'){ 
			myPushNotification.registerPush();
			//alert("get id reg");
		}
		//alert(localStorage.device_token_syt);
	    
	});
   $rootScope.get_device_token = function () {
      if(localStorage.device_token_syt) {
         return localStorage.device_token_syt;
      } else {
         return '-1';
      }
   }
   $rootScope.set_device_token = function (token) {
      localStorage.device_token_syt = token;
      return localStorage.device_token_syt;
   }

});
//myservice device registration id to localStorage
app.service('myService', ['$http', function($http) {

   this.registerID = function(regID, platform) {
   		//alert(regID);
		localStorage.device_token_syt = regID;
   }
   // alert("ssfsf");
}]);

//myservice device registration id to localStorage
app.service('myServicePush', ['$http', function($http) {

   this.getPushN = function(regID) {
   		//alert(regID);
		localStorage.pusntiti = regID;
   }
   // alert("ssfsf");
}]);

// config to disable default ionic navbar back button text and setting a new icon
// logo in back button can be replaced from /templates/sidebar-menu.html file
app.config(function($ionicConfigProvider) {
  	  
    $ionicConfigProvider.backButton.text('').icon('ion-ios-arrow-back').previousTitleText(false);
})
// intro controller // 
app.controller('IntroCtrl', [
	'$rootScope',
	'$scope', 
	'$state', 
	'$ionicSlideBoxDelegate', 
	'$cordovaGeolocation',
	'Event',
	'AuthService', 
	function($rootScope, $scope, $state, $ionicSlideBoxDelegate, $cordovaGeolocation, Event, AuthService) {
		
		$scope.blogs = {};
		$scope.status = {};
		$scope.event = {};
		$rootScope.showmenu = "noshow";
		
		localStorage.lat = 0;
		localStorage.long = 0;

		var sumbangan = localStorage.sumbangan;
		if(sumbangan == -1 || sumbangan == undefined){
			$rootScope.sumbangan = [];
		}else{
			$rootScope.sumbangan = JSON.parse(sumbangan);
			
		}

		var auth = AuthService.isAuthenticated();
		if(auth != false){
				$rootScope.showmenu = "show";
				//$state.go('app.intro');
	  	}

	  	Event.getIndex()
		.success(function(resp){
			if(resp.kode == "200"){
				$scope.event.title = resp.data.event_jenis_title;
				$scope.event.id = resp.data.event_jenis_id;
			}

		})
		.error(function(err){
			
		});


		var posOptions = {timeout: 10000, enableHighAccuracy: false};
		  $cordovaGeolocation
		    .getCurrentPosition(posOptions)
		    .then(function (position) {
		      var lat  = position.coords.latitude;
		      var long = position.coords.longitude;
		      localStorage.lat = lat;
		      localStorage.long = long;
		    }, function(err) {
		      // error
		    });


		  var watchOptions = {
		    timeout : 3000,
		    enableHighAccuracy: false // may cause errors if true
		  };

		  var watch = $cordovaGeolocation.watchPosition(watchOptions);
		  watch.then(
		    null,
		    function(err) {
		      // error
		    },
		    function(position) {
		      var lat  = position.coords.latitude;
		      var long = position.coords.longitude;
		      if(localStorage.lat == 0 && localStorage.long == 0){
		      	localStorage.lat = lat;
		      	localStorage.long = long;
		      }
		      
		  });


		  watch.clearWatch();
		  // OR
		  
		
				
		// console.log($ionicSlideBoxDelegate);
		// Called to navigate to the main app
		$scope.next = function() {
			$ionicSlideBoxDelegate.next();
		};
		$scope.previous = function() {
			$ionicSlideBoxDelegate.previous();
		};

		// Called each time the slide changes
		$scope.slideChanged = function(index) {
			$scope.slideIndex = index;
		};

		// discard and move to homepage
		$scope.discardIntroPage = function(){
			var auth = AuthService.isAuthenticated();

			if(auth == false){
				$state.go('app.login');
			}else{
				$state.transitionTo('app.features');
			}
			
		}





		//console.log($scope.status);
}])
/* main controller function */
app.controller('MainCtrl', ['$rootScope', '$scope', '$state', '$ionicSideMenuDelegate', '$ionicHistory', 'AuthService', 'SettingProfil', function($rootScope,$scope, $state, $ionicSideMenuDelegate, $ionicHistory, AuthService, SettingProfil) {
  	// Toggle left function for app sidebar
  	$scope.display_name = '';
  	$scope.image_profil = '';

  	$rootScope.showmenu = "noshow";
  	$rootScope.mainmenu = "show";
  	$rootScope.backmenu = "noshow";
  	$scope.user = {};
  	
  	var auth = AuthService.isAuthenticated(); 
  	console.log(auth);
	if(auth != false){
		$rootScope.showmenu = "show";
	}

	if(localStorage.authlogin != undefined){
		authlogin = JSON.parse(localStorage.authlogin);
		$scope.display_name = authlogin.display_name;	
		$scope.user = authlogin;	
		//console.log($scope.display_name);

		// SettingProfil.getData($scope.user.id)
		// .success(function(suc){
		// 	// console.log(suc);
		// 	if(suc.kode == "200"){
		// 		$scope.display_name = suc.data.display_name;
		// 		$scope.image_profil = suc.data.profil;
		// 	}
		// })
		// .error(function(err){
			
		// });

	}

	// alert(localStorage.pusntiti);

	//$scope.showmenu = "show";

  	$scope.goLogOut = function() {

        localStorage = false;
  		AuthService.logout();
    	// $state.transitionTo('app.login');
    	$ionicHistory.clearCache();
        $ionicHistory.clearHistory();
    	// $window.location.reload(true)
    	$state.go('app.login',{}, {reload : true});
  	};

  	$scope.toggleLeft = function() {
    	$ionicSideMenuDelegate.toggleLeft();
  	};
  	// go back to previous page
  	$scope.goBackOne = function(){
		$ionicHistory.goBack();
	}
	// sharing plugin
	$scope.shareMain = function(){
		var title = "Download Smove For Android";
		var url = "https://play.google.com/store/apps/details?id=com.myspecialgames.swipe";
		window.plugins.socialsharing.share(title, null, null, url)
	}
	$scope.shareArticle = function(title,url){
		window.plugins.socialsharing.share(title, null, null, url)
	}
	$scope.openLinkArticle = function(url){
		window.open(url, '_system');
	}

	$scope.removeKotalAmal = function(item)
	{
		$rootScope.sumbangan.splice(item, 1);
		localStorage.sumbangan = JSON.stringify($rootScope.sumbangan);
		
	}

	//console.log($scope.showmenu);
}])

app.controller('SplashCtrl', ['$rootScope', '$scope', '$state', '$ionicHistory', function($rootScope, $scope, $state, $ionicHistory) {
  	var sumbangan = localStorage.sumbangan;
		if(sumbangan == -1 || sumbangan == undefined){
			$rootScope.sumbangan = [];
		}else{
			$rootScope.sumbangan = JSON.parse(sumbangan);
			
		}

  	setTimeout(function(){ 
		$ionicHistory.currentView($ionicHistory.backView());
		$state.go('app.intro', {location: 'replace'});
	}, 3000);

}])

// login page of app //
app.controller('LoginCtrl', ['$rootScope', '$state','$scope', '$ionicHistory', '$ionicLoading', '$ionicNavBarDelegate', 'AuthService',  function($rootScope, $state, $scope, $ionicHistory, $ionicLoading, $ionicNavBarDelegate, AuthService) {	
	// add your login logic here

	// $rootScope.mainmenu = "show";
 //  	$rootScope.mainmenu = "noshow";
 	$ionicNavBarDelegate.showBackButton(false);
	$scope.login = {};
	// console.log("login");
	var auth = AuthService.isAuthenticated();
	if(auth != false){
			$rootScope.showmenu = "show";
			$state.go('app.intro');
  	}

  	

  	$scope.login.token = localStorage.device_token_syt;
  	$scope.login.lat = localStorage.lat;
  	$scope.login.long = localStorage.long;

	$scope.doLogin = function(){
		$ionicLoading.show({template: 'Login...'});
		AuthService.login($scope.login)
		.success(function(suc){
			//console.log(suc.data);

			if(suc.kode == "200"){
				$ionicLoading.show({template: 'Login success', duration:500});
				localStorage.authlogin = JSON.stringify(suc.data);
				$rootScope.showmenu = "show";

				// localStorage.loginback = "app.payment"; 
				if(localStorage.loginback != false && localStorage.loginback == "app.payment"){
					$state.go('app.payment',{}, {reload : true});		
				}else{
					$state.go('app.intro',{}, {reload : true});			
				}
				
			}else{
				$ionicLoading.show({template: 'Login failed', duration:500});
				localStorage.authlogin = false;
				$state.go('app.login');
			}
			
		})
		.error(function(err){
			// alert(JSON.stringify(err));
			$ionicLoading.show({template: 'Login error', duration:500});
			localStorage.authlogin = false;
			$state.go('app.login');
		});
		
		
	}

	// $ionicHistory.clearCache();
 //    $ionicHistory.clearHistory();
}])
// Sign up page of app //
app.controller('SignUpCtrl', ['$rootScope', '$state','$scope', '$ionicLoading', 'Registrasi',  function($rootScope, $state, $scope, $ionicLoading, Registrasi) {	
	// sign up logic here
	$scope.signup = {};
	$scope.valid = false;

	$rootScope.showmenu = "noshow";
	$rootScope.mainmenu = "show";
  	$rootScope.mainmenu = "noshow";

  	$scope.signup.tgllahir = new Date(1990, 10, 10);
  	$scope.limitusername = true;
  	$scope.validusername = true;
	  	// $scope.validusername = true;
	  	// $scope.passwordcnf = true;



  	$scope.$watch('signup.username', function (val) {
  		
        if( val != undefined && val.length >= 6 ){
        	Registrasi.cekUsername($scope.signup)
			.success(function (posts) {
				//console.log(posts);
				if(posts.kode == "200"){
					$scope.validusername = true;

				}else{
					$scope.validusername = false;
				}
			})
			.error(function (error) {
				
			});
        
        }else{
        	$scope.validusername = true;
        	
        }

        if( val != undefined && val.length >= 1 && val.length < 6){
        	$scope.limitusername = false;
        }else{
        	$scope.limitusername = true;
        }
        // console.log($scope.limitusername);
    });

    $scope.$watch('signup.email', function (val) {
    		$scope.validemail = true;
  			Registrasi.cekEmail($scope.signup)
			.success(function (posts) {
				//console.log(posts);
				if(posts.kode == "200"){
					$scope.validemail = true;
				}else{
					$scope.validemail = false;
				}
			})
			.error(function (error) {
				
			});
    });

    $scope.$watch('signup.passwordc', function (val) {
  		
        if($scope.signup.password != $scope.signup.passwordc ){
        	$scope.passwordcnf = true;
        }else{
        	$scope.passwordcnf = false;
        }
    });

	$scope.doRegister = function(isValid){
		//console.log(isValid);
		if (isValid && $scope.passwordcnf == false && $scope.validusername) {
			
			$ionicLoading.show({template: 'Registrasi proses...'});
			Registrasi.getPosts($scope.signup)
				.success(function (posts) {
					//console.log(posts);
					if(posts.kode == "200"){
						$ionicLoading.show({template: 'Registrasi success, Email verifikasi account akan dikirimkan keamail Anda', duration:5000});
						
						$scope.signup = {};
						$state.go('app.login');
						
						// cordova.plugins.email.isAvailable(
						// 	function (isAvailable) {
						// 		window.plugin.email.open({
						// 			to:      [ConfigContact.EmailId],
						// 			subject: ConfigContact.ContactSubject,
						// 			body:    '<h1>'+$scope.signup.fullname+'</h1><br>'+
						// 						'<p>Selamat Anda sudah terdaftar di HIPSI, status keanggotaan akan di verifikasi dan adiaktifkan oleh Admin,<br>'+
						// 						'seletah status Anda aktif, Anda bisa login diaplikasi ini dan segera lengkapi data diri Anda</p>'+
						// 						'<p>Terima kasih</p><br><p>Salam,</p>',
						// 			isHtml:  true
						// 		});
						// 	}
						// );

					}else{
						$ionicLoading.show({template: 'Registrasi failed', duration:1000});
						
					}
				})
				.error(function (error) {
					$ionicLoading.show({template: 'Registrasi Error', duration:1000});
					
				});
		}else{
			$ionicLoading.show({template: 'Silahkan lengkapi form registrasi', duration:1000});
		}	
      	
		//$state.go('app.features');
	}
}])

// Forgot password page of app //
app.controller('ForgotCtrl', ['$scope', function($scope) {	
	// forgot password
}])
// Forgot password page of app //
app.controller('GalleryCtrl', ['$scope', 'Photos', '$ionicModal', 'Feeds', 'globalFactory', function($scope, Photos, $ionicModal, Feeds, globalFactory) {
	
	$scope.items = [];
	$scope.times = 0 ;
	$scope.postsCompleted = false;
	$scope.numPosts = 100;
	// load more content function
	$scope.getPosts = function(){
		 var feed = new google.feeds.Feed(Feeds.feed); 
	      feed.setNumEntries($scope.numPosts);
	      var count = 1;
	      feed.load(function(result) {
	      	// console.log(result.feed.entries);
	        if (!result.error) {
	          	$scope.items = result.feed.entries;
	          	log = [];
	          	angular.forEach(result.feed.entries, function(value, key) {
				  //console.log(key);
				  img = globalFactory.getPostImageFeed(value.content);
				  var arrlink = value.link.split("/");
				  // console.log(arrlink[4]);
				  $scope.items[key]._id = key + 1;
				  $scope.items[key].title = value.title;
				  $scope.items[key].image = img;
				  $scope.items[key].image_full = img;
				}, log);
				// console.log($scope.items);
				$scope.$apply();
	        }
	      });

		// Photos.getPosts()
		// .success(function (posts) {
		// 	$scope.items = $scope.items.concat(posts);
		// 	$scope.$broadcast('scroll.infiniteScrollComplete');
		// 	$scope.times = $scope.times + 1;
		// 	if($scope.times >= 4) {
		// 		$scope.postsCompleted = true;
		// 	}
		// })
		// .error(function (error) {
		// 	$scope.items = [];
		// });
	}
	$scope.getPosts();

	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.times = 0 ;
		$scope.items = [];
		$scope.postsCompleted = false;
		$scope.getPosts();
		$scope.$broadcast('scroll.refreshComplete');
	}
	// modal to show image full screen
   $ionicModal.fromTemplateUrl('templates/image-modal.html', {
      scope: $scope,
      animation: 'slide-in-up'
   }).then(function (modal) {
      $scope.modal = modal;
   });
   $scope.openModal = function () {
		$scope.showNav = true;
      $scope.modal.show();
   };

   $scope.closeModal = function () {
      $scope.modal.hide();
   };
	// show image in popup
   $scope.showImage = function (index) {
		$scope.imageIndex = index;
      $scope.imageSrc = $scope.items[index].image_full;
      $scope.openModal();
   }
	// image navigation // swiping and buttons will also work here
	$scope.imageNavigate = function(dir){
		if(dir == 'right'){
			$scope.imageIndex = $scope.imageIndex + 1;
		} else {
			$scope.imageIndex = $scope.imageIndex - 1;
		}
		//alert(dir);
		if($scope.items[$scope.imageIndex] === undefined){
			$scope.closeModal();
		} else {
			$scope.imageSrc = $scope.items[$scope.imageIndex].image_full;
		}
	}
	// cleaning modal
	$scope.$on('$stateChangeStart', function(){
	  $scope.modal.remove();
	});
}])


/*  Profile page template */
app.controller('ProfileCtrl', ['$rootScope', '$scope','$state', '$ionicModal', '$ionicNavBarDelegate', '$cordovaCamera', '$ionicLoading', '$cordovaFileTransfer',  'SettingProfil', 'APISERVER', 'AuthService', function($rootScope, $scope, $state, $ionicModal, $ionicNavBarDelegate, $cordovaCamera, $ionicLoading, $cordovaFileTransfer, SettingProfil, APISERVER, AuthService) {
	// just demo profile page
	$rootScope.mainmenu = "noshow";
  	$rootScope.backmenu = "show";
  	$scope.hideedit = "hide";


	$scope.base_url = APISERVER.BASE_URL;
	$scope.image_profil = "http://3.bp.blogspot.com/-zR75pEKCSSU/VYGjwNogrmI/AAAAAAAAA1Y/xgPrSXra3fE/s200-c/darts-102919_1280.jpg";
	$scope.display_name = "Profil";
	$scope.user = {};
	$scope.user_setting = {};
	
    
	$scope.getNegara = function(){
		SettingProfil.getNegara()
		.success(function(suc){
			if(suc.kode == "200"){
				$scope.negara = suc.data;
				
				angular.forEach($scope.negara, function(value, key) {
 					if($scope.user_setting.user_alamat_negara == value.negara_id)
 					{
 						$scope.selectedNegara = value;
 					}
				});
				// console.log($scope.negara);
			}
		})
		.error(function(err){
			
		});
	}
	$scope.getPropinsi = function(){

		SettingProfil.getPropinsi()
		.success(function(suc){
			if(suc.kode == "200"){
				$scope.propinsi = suc.data;
				// console.log($scope.user_setting.jobpropinsi);
				angular.forEach($scope.propinsi, function(value, key) {
 					if($scope.user_setting.propinsi_id == value.propinsi_id)
 					{
 						$scope.selectedPropinsi = value;
 					}
				});
				
				$scope.getKota();
			}
		})
		.error(function(err){
			
		});
	}

	$scope.getKota = function()
	{
		SettingProfil.getKota()
		.success(function(suc){
			if(suc.kode == "200"){
				$scope.kota = suc.data;
				
				angular.forEach($scope.kota, function(value, key) {
					angular.forEach(value, function(value1, key1) {
						
	 					if($scope.user_setting.user_alamat_kota == value1.kota_id)
	 					{
	 						$scope.selectedKota = value1;
	 					}
	 				});

				});
				// console.log($scope.selectedKota);
			}
		})
		.error(function(err){
			
		});
	}

	

	var auth = AuthService.isAuthenticated();
	if(auth != false){
		// $ionicLoading.show({template: 'Auth true', duration:500});
		authlogin = JSON.parse(localStorage.authlogin);
		$scope.user = authlogin;
		//$scope.display_name = authlogin.display_name;
		$state.params.id = $state.params.id == ""? $scope.user.id : $state.params.id;

  	}
	
	if($state.params.id == $scope.user.id){

		$scope.hideedit = "show";
	}

	$ionicModal.fromTemplateUrl('status-modal.html', {
		scope: $scope,
		animation: 'slide-in-up'
	}).then(function(modal) {
		$scope.modal = modal;
	});

	$ionicModal.fromTemplateUrl('profil-modal.html', {
		scope: $scope,
		animation: 'slide-in-up'
	}).then(function(modal) {
		$scope.modal_profil = modal;
	});

	$ionicModal.fromTemplateUrl('foto-modal.html', {
		scope: $scope,
		animation: 'slide-in-up'
	}).then(function(modal) {
		$scope.modal_foto = modal;
	});

	

	$ionicLoading.show({template: 'Loading data..'});
	SettingProfil.getData($state.params.id)
		.success(function(suc){
			// console.log(suc);
			if(suc.kode == "200"){
				// $ionicLoading.show({template: 'get profil success', duration:500});
				$scope.user_setting = suc.data;
				$scope.display_name = suc.data.display_name;
				$scope.image_profil = suc.data.user_alamat_avatar;
				$scope.user_setting.user_alamat_tgllhr = new Date($scope.user_setting.user_alamat_tgllhr);
				
				$scope.getPropinsi();
				$scope.getNegara();
				// $scope.getBidangusaha();
				// $scope.getJobtipe();

				$ionicLoading.show({template: 'data success', duration:500});
			}else{
				$ionicLoading.show({template: 'data error', duration:500});
			}
		})
		.error(function(err){
			$ionicLoading.show({template: 'data error', duration:500});
		});
	// console.log($scope.user_setting);

	$scope.changeOptionSelected = function(data, type)
	{
		if(type == "propinsi")
			$scope.selectedPropinsi = data;
		else if(type == "kota")
			$scope.selectedKota = data;
		else if(type == "jobsite")
			$scope.selectedJobsite = data;
		else if(type == "negara")
			$scope.selectedNegara = data;
		else if(type == "type")
			$scope.selectedOption = data;
	}

	

	$scope.saveProfil = function(){
		
		// $scope.user_setting.jobpropinsi = $scope.selectedPropinsi.propinsi_id;
		$scope.user_setting.user_alamat_kota = $scope.selectedKota.kota_id;
		$scope.user_setting.user_alamat_negara = $scope.selectedNegara.negara_id;
		// $scope.user_setting.jobsite = $scope.selectedJobsite.bidang_pekerjaan_id;
		// $scope.user_setting.jobtype = $scope.selectedOption.id;
		// console.log($scope.user_setting);

		SettingProfil.sendProfil($scope.user_setting)
		.success(function(suc){
			
			if(suc.kode == "200"){
				//$scope.status = $scope.user_setting.details;	
			}else{
				
			}
				
			$scope.closeModal();
			
		})
		.error(function(err){
			$scope.closeModal();
		});
	}

	$scope.openModal = function() {
		$scope.modal.show();
	};
	$scope.openModalProfil = function() {
		$scope.modal_profil.show();
	};
	$scope.openModalFoto = function() {
		if($scope.hideedit == "show"){
			$scope.modal_foto.show();
			$scope.picData = $scope.image_profil;
			$scope.hideupload = "hide";	
		}
		
	};
	$scope.closeModal = function() {
	 	$scope.modal.hide();
	 	$scope.modal_profil.hide();
	 	$scope.modal_foto.hide();
	};


	document.addEventListener("deviceready", function () {
	    $scope.takePicture = function() {
		  var options = {
	        quality: 50,
	        destinationType: Camera.DestinationType.FILE_URL,
	        sourceType: Camera.PictureSourceType.CAMERA
	      };
		  $cordovaCamera.getPicture(options).then(
			function(imageData) {
				$scope.picData = imageData;
				$scope.hideupload = "show";
				// $localStorage.set('fotoUp', imageData);
				localStorage.fotoUp = imageData;
				$ionicLoading.show({template: 'Proses...', duration:500});
			},
			function(err){
				$ionicLoading.show({template: 'Error try again', duration:500});
				})
		  }

		  $scope.selectPicture = function() { 
			var options = {
				quality: 50,
				destinationType: Camera.DestinationType.FILE_URI,
				sourceType: Camera.PictureSourceType.PHOTOLIBRARY
			};
			// $ionicLoading.show({template: 'get ready to take foto from folder...', duration:500});
			$cordovaCamera.getPicture(options).then(
				function(imageURI) {
					window.resolveLocalFileSystemURI(imageURI, function(fileEntry) {
						$scope.picData = fileEntry.nativeURL;
						
						var image = document.getElementById('edit-profile-image');
						image.src = fileEntry.nativeURL;
		  			});
		  			$scope.hideupload = "show";
					// $ionicLoading.show({template: 'Foto acquisita...', duration:500});
				},
				function(err){
					// $ionicLoading.show({template: 'Errore di caricamento...', duration:500});
				}
			)
		};

	    $scope.uploadfoto = function() {
			
			var fileURL = $scope.picData;
			// alert(JSON.stringify(fileURL));
			var options = new FileUploadOptions();
			options.fileKey = "file";
			options.fileName = fileURL.substr(fileURL.lastIndexOf('/') + 1);
			options.mimeType = "image/jpeg";
			options.chunkedMode = false;
			
			// alert(JSON.stringify(options));
			var params = {};
			params.value1 = $scope.user.id;
	        // params.value2 = "katalog";

			options.params = params;

			$cordovaFileTransfer.upload(APISERVER.URL + "/upload/profil", fileURL, options).then(function(result) {
	            // alert("SUCCESS: " + JSON.stringify(result.response));
	            $scope.image_profil = result.response;
	            $scope.closeModal();
	        }, function(err) {
	            // alert("ERROR: " + JSON.stringify(err));
	        }, function (progress) {
	            $ionicLoading.show({template: 'Proses upload...', duration:500});
	        });

			
	    }
	});
}])
/* Blog controller */
app.controller('NewsCtrl', ['$rootScope', '$scope', '$ionicHistory', '$ionicNavBarDelegate', 'NewService', 'AuthService', 'Feeds', 'globalFactory', function($rootScope, $scope, $ionicHistory, $ionicNavBarDelegate, NewService, AuthService, Feeds, globalFactory) {	
	$scope.items = [];
	$scope.times = 0 ;
	$scope.postsCompleted = false;
	$scope.page = 1;
	$scope.numPosts = 50;

	$rootScope.mainmenu = "show";
	// $ionicNavBarDelegate.showBackButton(false);

	var auth = AuthService.isAuthenticated(); 
	if(auth != false){
		$rootScope.showmenu = "show";
	}
	
	// $ionicHistory.clearCache();
 //    $ionicHistory.clearHistory();

   //  $scope.loadFeed = function() {
   //    var feed = new google.feeds.Feed(Feeds.feed); 
   //    feed.setNumEntries($scope.numPosts);
   //    var count = 1;
   //    feed.load(function(result) {
   //    	// console.log(result.feed.entries);
   //      if (!result.error) {
   //        	$scope.items = result.feed.entries;
   //        	log = [];
   //        	angular.forEach(result.feed.entries, function(value, key) {
			//   //console.log(key);
			//   img = globalFactory.getPostImageFeed(value.content);
			//   var arrlink = value.link.split("/");
			//   // console.log(arrlink[4]);
			//   $scope.items[key].image = img;
			//   $scope.items[key].link = arrlink[4];
			// }, log);
			// // console.log($scope.items);
			// $scope.$apply();
   //      }
   //    });
   //  }

    
    
	// load more content function
	$scope.loadFeed = function(){

		NewService.getNews($scope.page)
		.success(function(posts){
			// console.log(posts.data);

			if(posts.kode == "200"){
				// $scope.blogs = suc.data;
				$scope.items =  $scope.items.concat(posts.data);
				$scope.$broadcast('scroll.infiniteScrollComplete');
				$scope.times = $scope.times + 1;
				$scope.page = $scope.page + 1;
				if($scope.times >= 4) {
					$scope.postsCompleted = true;
				}
			}else{
				$scope.postsCompleted = true;
			}
			
		})
		.error(function(err){
			
		});

	}

	$scope.loadFeed();

	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.times = 0 ;
		$scope.items = [];
		$scope.page = 1;
		$scope.postsCompleted = false;
		$scope.loadFeed();
		$scope.$broadcast('scroll.refreshComplete');
	}
}])



/*   Articles controller  */
app.controller('PostCtrl', ['$rootScope', '$scope', '$state', 'Comments', '$ionicModal', '$ionicNavBarDelegate', 'NewService', 'globalFactory', function($rootScope, $scope, $state, Comments, $ionicModal, $ionicNavBarDelegate, NewService, globalFactory) {	
	$scope.items = [];
	$scope.post = {};
	$scope.postDataMain = '';

	$rootScope.mainmenu = "noshow";

	// console.log($state.params);

	$scope.loadFeed = function() {
      	NewService.getNewsDetail($state.params.link)
		.success(function(posts){
			// console.log(posts.data);

			if(posts.kode == "200"){
				// $scope.blogs = suc.data;
				$scope.items = posts.data;
			  	$scope.postDataMain = posts.data.sinopsys;

			  	$scope.$apply();
			}
			
		})
		.error(function(err){
			
		});
    }
  	
	
	// $scope.loadFeed = function() {
 //      var feed = new google.feeds.Feed(Feeds.feed); 
 //      feed.setNumEntries(50);
 //      var count = 1;
 //      feed.load(function(result) {
 //      	// console.log(result.feed.entries);
 //        if (!result.error) {
 //          	$scope.post = result.feed.entries;
 //          	var  log = [];
 //          	angular.forEach(result.feed.entries, function(value, key) {
	// 		  //console.log(key);
	// 		  img = globalFactory.getPostImageFeed(value.content);
	// 		  var arrlink = value.link.split("/");
	// 		  // console.log(arrlink[4]);
	// 		  $scope.post[key].image = img;
	// 		  // $scope.post[key].link = arrlink[4];
	// 		  if(arrlink[4] == $state.params.link ){
	// 		  	$scope.items = $scope.post[key];
	// 		  	$scope.postDataMain = value.content;
	// 		  }


	// 		}, log);
	// 		// console.log($scope.post);
	// 		$scope.$apply();
 //        }
 //      });
 //    }

    $scope.loadFeed();

	// load more content function
	$scope.getPosts = function(){
		Comments.getComments()
		.success(function (posts) {
			$scope.items = $scope.items.concat(posts);
		})
		.error(function (error) {
			$scope.items = [];
		});
	}
	$scope.getPosts();
	// comment modal
	$ionicModal.fromTemplateUrl('comment-modal.html', {
		scope: $scope,
		animation: 'slide-in-up'
	}).then(function(modal) {
		$scope.modal = modal;
	});
	$scope.openModal = function() {
		$scope.modal.show();
	};
	$scope.closeModal = function() {
	 	$scope.modal.hide();
	};
	//Cleanup the modal when we're done with it!
	$scope.$on('$destroy', function() {
	 	$scope.modal.remove();
	});
}])


/* Payment controller */
app.controller('TransaksiCtrl', ['$rootScope', '$scope', '$state', '$ionicLoading', 'Donasi', 'AuthService', function($rootScope, $scope, $state, $ionicLoading, Donasi, AuthService) {	
	
	$scope.items = [];
	$scope.times = 0 ;
	$scope.postsCompleted = false;
	$scope.page = 1;
	$scope.numPosts = 50;

	var auth = AuthService.isAuthenticated(); 
	if(auth != false){
		$rootScope.showmenu = "show";
		authlogin = JSON.parse(localStorage.authlogin);
		

	}else{
		//localStorage.loginback = "app.payment";
		$state.go('app.login',{}, {reload : true});
		// $state.go('app.login');
	}

	
	$scope.loadFeed = function(){

		//$ionicLoading.show({template: "Load Data"});
		Donasi.getList($scope.user.id, $scope.page)
		.success(function(resp){
			if(resp.kode == "200"){
				// $scope.blogs = suc.data;
				$scope.items =  $scope.items.concat(resp.data);
				$scope.$broadcast('scroll.infiniteScrollComplete');
				$scope.times = $scope.times + 1;
				$scope.page = $scope.page + 1;
				if($scope.times >= 4) {
					$scope.postsCompleted = true;
				}
			}else{
				$scope.postsCompleted = true;
			}

			
			//$ionicLoading.show({template: "Load Data success", duration:2000});
		})
		.error(function(err){
			//$ionicLoading.show({template: "Load Data error", duration:2000});	
		});

	}
		
	

	$scope.loadFeed();

	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.times = 0 ;
		$scope.items = [];
		$scope.page = 1;
		$scope.postsCompleted = false;
		$scope.loadFeed();
		$scope.$broadcast('scroll.refreshComplete');
	}
    
	
}]);

/* Payment controller */
app.controller('PaymentCtrl', ['$rootScope', '$scope', '$state', '$ionicLoading', 'Donasi', 'AuthService', function($rootScope, $scope, $state, $ionicLoading, Donasi, AuthService) {	
	$state.reload();

	var auth = AuthService.isAuthenticated(); 
	if(auth != false){
		$rootScope.showmenu = "show";
		authlogin = JSON.parse(localStorage.authlogin);
		$scope.user = authlogin;
		localStorage.loginback = false;

	}else{
		localStorage.loginback = "app.payment";
		$state.go('app.login',{}, {reload : true});
		// $state.go('app.login');
	}

	var sumbangan = localStorage.sumbangan;

	if(sumbangan == -1){
		$state.go('app.ayodonasi');
	}

	$scope.sumbangan = JSON.parse(sumbangan);
	$scope.nominal = number_format($scope.sumbangan.nominal,0,',','.');
	
	$scope.totalnominal = 0;
	angular.forEach($scope.sumbangan, function(value, key) {
		$scope.totalnominal = $scope.totalnominal + (parseInt(value.nominal) * parseInt(value.qty));
		
	});
	$scope.totalnominal = number_format($scope.totalnominal,0,',','.');


	$scope.resultDonasi = 'result-donasi-hide';
	$scope.btndonasi = '';

	$scope.savedonasi = function ()
	{
		var auth = AuthService.isAuthenticated(); 
		if(auth != false){
			authlogin = JSON.parse(localStorage.authlogin);
			$scope.user = authlogin;
		}

		$ionicLoading.show({template: "Proses donasi"});
		Donasi.saveDonasi($scope.user.id, sumbangan)
		.success(function(resp){
			$scope.resultDonasi = 'result-donasi';
			$scope.btndonasi = "hide";
			$scope.resp = number_format(resp.data,0,',','.');
			$scope.bank = resp.bank;
			localStorage.sumbangan = -1;
			$rootScope.sumbangan = [];
			$ionicLoading.show({template: "Proses donasi success", duration:2000});
		})
		.error(function(err){
			$ionicLoading.show({template: "Proses donasi error", duration:2000});	
		});
	}
    
	
}]);

/* ebook controller */
app.controller('AyoDonasiCtrl', ['$rootScope', '$scope', '$state', '$ionicLoading', 'Donasi', 'AuthService', function($rootScope, $scope, $state, $ionicLoading, Donasi, AuthService) {	
	$scope.items = [];

	$rootScope.mainmenu = "show";
	// $ionicNavBarDelegate.showBackButton(false);

	var auth = AuthService.isAuthenticated(); 
	if(auth != false){
		$rootScope.showmenu = "show";
	}

    
	// load more content function
	$scope.loadData = function(){
		$ionicLoading.show({template: "Load Data"});
		Donasi.getJenis($state.params.id)
		.success(function(posts){
			// console.log(posts.data);

			if(posts.kode == "200"){
				// $scope.blogs = suc.data;
				$scope.items =  posts.data;
				$scope.postDataMain = posts.data.sinopsys;

			  	// $scope.$apply();

				$ionicLoading.show({template: "Load Detail Success", duration:1000});
			}else{
				$scope.postsCompleted = true;
				$ionicLoading.show({template: "Load Detail Failed", duration:1000});
			}
			
		})
		.error(function(err){
			$ionicLoading.show({template: "Load error", duration:2000});
		});

	}

	
	$scope.loadData();
}]);

/* Donasi controller */
app.controller('DonasiCtrl', ['$rootScope', '$scope', '$state', '$ionicLoading', 'Donasi', 'AuthService', function($rootScope, $scope, $state, $ionicLoading, Donasi, AuthService) {	
	$scope.inputform = [];
	$scope.title = $state.params.title;
	// console.log($state.params);
	$rootScope.mainmenu = "show";
	// localStorage.sumbangan = false;
	// $ionicNavBarDelegate.showBackButton(false);

	var auth = AuthService.isAuthenticated(); 
	if(auth != false){
		$rootScope.showmenu = "show";
	}

	var sumbangan = localStorage.sumbangan;
	// console.log(sumbangan);
	if(sumbangan == undefined || sumbangan == -1){
		sumbangan = [];
		$rootScope.sumbangan = [];
		
	}else{
		var sumbangan = JSON.parse(sumbangan);
		$rootScope.sumbangan = sumbangan;
		
	}

    $scope.submitCR = function()
	{	
		if($scope.inputform.nominal != undefined && $scope.inputform.nominal > 0){
			// var sumbangan = {};
			// sumbangan.nominal = $scope.inputform.nominal;
			// sumbangan.id = $state.params.id;
			// sumbangan.title = $state.params.title;
			// sumbangan.type = "donasi";
			// // console.log(sumbangan);
			// localStorage.sumbangan = JSON.stringify(sumbangan);
			// // console.log(localStorage.sumbangan);
			// $state.go('app.payment');

			var temp = {
					"nominal" : $scope.inputform.nominal, 
					"id" : $state.params.id,
					"title" : $state.params.title,
					"type" :"donasi",
					"qty" : 1,
				}
			// console.log(temp);
			if($rootScope.sumbangan.length == 0){
				$rootScope.sumbangan = $rootScope.sumbangan.concat(temp);
			}else{
				var log = false;
				angular.forEach($rootScope.sumbangan, function(value, key) {
					if(value.id == temp.id){
						value.qty = parseInt(value.qty) + parseInt(temp.qty);
						log = true;
					}
					
				});
				if(log == false){
					$rootScope.sumbangan = $rootScope.sumbangan.concat(temp);
				}

			}
			
			localStorage.sumbangan = JSON.stringify($rootScope.sumbangan);
			$ionicLoading.show({template: "Donasi Anda telah masuk kotak donasi", duration: 1000});

		}else{
			$ionicLoading.show({template: "Silahkan masukkan nominal donasi Anda", duration: 1000});	
		}
	}
	
}]);


/* ebook controller */
app.controller('CrowdFundingCtrl', ['$rootScope', '$scope', '$ionicHistory', '$ionicNavBarDelegate', 'CrowdFunding', 'AuthService', function($rootScope, $scope, $ionicHistory, $ionicNavBarDelegate, CrowdFunding, AuthService) {	
	$scope.items = [];
	$scope.times = 0 ;
	$scope.postsCompleted = false;
	$scope.page = 1;
	$scope.numPosts = 50;

	$rootScope.mainmenu = "show";
	// $ionicNavBarDelegate.showBackButton(false);

	var auth = AuthService.isAuthenticated(); 
	if(auth != false){
		$rootScope.showmenu = "show";
	}
	

    
	// load more content function
	$scope.loadData = function(){

		CrowdFunding.getlist($scope.page)
		.success(function(posts){
			// console.log(posts.data);

			if(posts.kode == "200"){
				// $scope.blogs = suc.data;
				$scope.items =  $scope.items.concat(posts.data);
				$scope.$broadcast('scroll.infiniteScrollComplete');
				$scope.times = $scope.times + 1;
				$scope.page = $scope.page + 1;
				if($scope.times >= 4) {
					$scope.postsCompleted = true;
				}
			}else{
				$scope.postsCompleted = true;
			}
			
		})
		.error(function(err){
			
		});

	}

	
	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.times = 0 ;
		$scope.items = [];
		$scope.page = 1;
		$scope.postsCompleted = false;
		$scope.loadData();
		$scope.$broadcast('scroll.refreshComplete');
	}
}]);

/* ebook controller */
app.controller('CrowdFundingDetCtrl', ['$rootScope', '$scope', '$state', '$ionicLoading', 'CrowdFunding', 'AuthService', function($rootScope, $scope, $state, $ionicLoading, CrowdFunding, AuthService) {	
	$scope.items = [];
	$scope.inputform = [];
	// $scope.inputform.nominal = 0;

	$rootScope.mainmenu = "show";
	// $ionicNavBarDelegate.showBackButton(false);

	var auth = AuthService.isAuthenticated(); 
	if(auth != false){
		$rootScope.showmenu = "show";
	}

	$scope.submitCR = function()
	{	
		if($scope.inputform.nominal != undefined && $scope.inputform.nominal > 0){
			// var sumbangan = {};
			// sumbangan.nominal = $scope.inputform.nominal;
			// sumbangan.id = $state.params.id;
			// sumbangan.title = $scope.items.title;
			// sumbangan.type = "crowdfunding";
			// // console.log(sumbangan);
			// localStorage.sumbangan = JSON.stringify(sumbangan);
			// $state.go('app.payment');

			var temp = {
					"nominal" : $scope.inputform.nominal, 
					"id" : $state.params.id,
					"title" : $scope.items.title,
					"type" :"crowdfunding",
					"qty" : 1,
				}
			// console.log(temp);
			if($rootScope.sumbangan.length == 0){
				$rootScope.sumbangan = $rootScope.sumbangan.concat(temp);
			}else{
				var log = false;
				angular.forEach($rootScope.sumbangan, function(value, key) {
					if(value.id == temp.id){
						value.qty = parseInt(value.qty) + parseInt(temp.qty);
						log = true;
					}
					
				});
				if(log == false){
					$rootScope.sumbangan = $rootScope.sumbangan.concat(temp);
				}

			}
			
			
			localStorage.sumbangan = JSON.stringify($rootScope.sumbangan);
			$ionicLoading.show({template: "Donasi Anda telah masuk kotak donasi", duration: 1000});

		}else{
			$ionicLoading.show({template: "Silahkan masukkan nominal donasi Anda", duration: 3000});	
		}
	}
	

    
	// load more content function
	$scope.loadData = function(){
		$ionicLoading.show({template: "Load Detail"});
		CrowdFunding.getDetail($state.params.id)
		.success(function(posts){
			// console.log(posts.data);

			if(posts.kode == "200"){
				// $scope.blogs = suc.data;
				$scope.items =  posts.data;
				$scope.postDataMain = posts.data.sinopsys;

			  	// $scope.$apply();

				$ionicLoading.show({template: "Load Detail Success", duration:2000});
			}else{
				$scope.postsCompleted = true;
				$ionicLoading.show({template: "Load Detail Failed", duration:2000});
			}
			
		})
		.error(function(err){
			$ionicLoading.show({template: "Load error", duration:2000});
		});

	}

	
	$scope.loadData();
}]);


/* ebook controller */
app.controller('EbookCtrl', ['$rootScope', '$scope', '$ionicLoading', '$ionicSlideBoxDelegate', '$cordovaFile', 'Ebooks', 'AuthService', function($rootScope, $scope, $ionicLoading, $ionicSlideBoxDelegate, $cordovaFile, Ebooks, AuthService) {	
	$scope.items = [];
	$scope.xf = [];
	$scope.times = 0 ;
	$scope.postsCompleted = false;
	$scope.page = 1;
	$scope.numPosts = 50;

	$rootScope.mainmenu = "show";
	// $ionicNavBarDelegate.showBackButton(false);

	var auth = AuthService.isAuthenticated(); 
	if(auth != false){
		$rootScope.showmenu = "show";
	}


	// Called to navigate to the main app
	$scope.next = function() {
	$ionicSlideBoxDelegate.next();
	};
	$scope.previous = function() {
	$ionicSlideBoxDelegate.previous();
	};

	// Called each time the slide changes
	$scope.slideChanged = function(index) {
	$scope.slideIndex = index;
	};

	$scope.downloadpdf = function(urlpath, filename)
	{
		var url = urlpath;
	    var targetPath = cordova.file.dataDirectory + filename +".pdf";
	    var trustHosts = true;
	    var options = {};

	    $ionicLoading.show({template: "start download pdf", duration:500});
	    
	    $cordovaFileTransfer.download(url, targetPath, options, trustHosts)
	      .then(function(result) {
	        $ionicLoading.show({template: "Download Ebook Success", duration:2000});
	        // $scope.pdfUrl = cordova.file.dataDirectory + filename + '.pdf';
	        

	      }, function(err) {
	        $ionicLoading.show({template: "Download Ebook Error", duration:2000});

	      }, function (progress) {
	        $timeout(function () {

	          $scope.downloadProgress = (progress.loaded / progress.total) * 100;
	          $ionicLoading.show({template: "Download Ebook "+ Math.floor($scope.downloadProgress) + " %"});
	          //console.log($scope.downloadProgress);
	        });
	      });
	}
	

	$scope.hapusFile = function(filename)
	{
		$ionicLoading.show({template: "proses hapus", duration:1000});
		$cordovaFile.removeFile(cordova.file.dataDirectory, filepath + ".pdf")
        .then(function(result) {
            $ionicLoading.show({template: "hapus file success", duration:1000});
        }, function(err) {
            $ionicLoading.show({template: "hapus file gagal", duration:1000});
		});
	}

    
	// load more content function
	$scope.loadData = function(){

		Ebooks.getlist($scope.page)
		.success(function(posts){
			// console.log(posts.data);

			if(posts.kode == "200"){
				// $scope.blogs = suc.data;
				
				$scope.$broadcast('scroll.infiniteScrollComplete');
				$scope.times = $scope.times + 1;
				$scope.page = $scope.page + 1;
				$ionicSlideBoxDelegate.update();
				xf = [];
				angular.forEach(posts.data, function(value, key) {
				  	var id = value.id;
				  	$cordovaFile.checkFile(cordova.file.dataDirectory, value.id + '.pdf')
					.then(function (success) {
					    value.bar = '100';
					}, function (error) {
						value.bar = '0';
					});

				
				  posts.data[key] = value;
				  
				});
				$scope.xf = $scope.xf.concat(xf);
				// console.log(xf);
				// console.log(posts.data);
				$scope.items =  $scope.items.concat(posts.data);

				if($scope.times >= 4) {
					$scope.postsCompleted = true;
				}
			}else{
				$scope.postsCompleted = true;
			}
			
		})
		.error(function(err){
			
		});

	}

	

	$scope.loadData();

	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.times = 0 ;
		$scope.items = [];
		$scope.page = 1;
		$scope.postsCompleted = false;
		$scope.loadData();
		$scope.$broadcast('scroll.refreshComplete');
	}
}]);


/* ebook detail controller */
app.controller('EbookreadCtrl', ['$rootScope', '$scope', '$ionicHistory', '$state', '$timeout','$cordovaFileTransfer','$ionicLoading', '$cordovaFile', 'Ebooks', 'AuthService',  function($rootScope, $scope, $ionicHistory, $state, $timeout, $cordovaFileTransfer, $ionicLoading, $cordovaFile, Ebooks, AuthService) {	
	
	
	$scope.items = [];
	$scope.headertitle = 'Read Ebook';
	$rootScope.mainmenu = "show";
	$scope.scroll = 0;
  	$scope.loading = 'loading';
	// $ionicNavBarDelegate.showBackButton(false);

	var auth = AuthService.isAuthenticated(); 
	if(auth != false){
		$rootScope.showmenu = "show";
	}

	
	// $scope.pdfUrl =  'data/risalah-zakat_syaikh-bin-baz.pdf';
	$scope.httpHeaders = { Authorization: 'Bearer some-aleatory-token' };
	// $scope.pdfUrl = cordova.file.dataDirectory + $state.params.link + '.pdf';

	
	$scope.getNavStyle = function(scroll) {
    	if(scroll > 100) return 'pdf-controls fixed';
	    else return 'pdf-controls';
	}

	$scope.onError = function(error) {
	    //alert(JSON.stringify(error));
	    $ionicLoading.show({template: "Error Load Ebook", duration:2000});
	}

	$scope.onLoad = function() {
	    $scope.loading = '';
	    $ionicLoading.show({template: "Load Ebook", duration:2000});
	}

	$scope.onProgress = function(progress) {
	    $ionicLoading.show({template: "Load Ebook"});
	}	
	
	
	$scope.downloadpdf = function(urlpath, filename)
	{
		var url = urlpath;
	    var targetPath = cordova.file.dataDirectory + filename +".pdf";
	    var trustHosts = true;
	    var options = {};
	    
	    $cordovaFileTransfer.download(url, targetPath, options, trustHosts)
	      .then(function(result) {
	        $ionicLoading.show({template: "Download Ebook Success", duration:2000});
	        $scope.pdfUrl = cordova.file.dataDirectory + filename + '.pdf';
	        

	      }, function(err) {
	        $ionicLoading.show({template: "Download Ebook Error", duration:2000});

	      }, function (progress) {
	        $timeout(function () {

	          $scope.downloadProgress = (progress.loaded / progress.total) * 100;
	          $ionicLoading.show({template: "Download Ebook "+ Math.floor($scope.downloadProgress) + " %"});
	          //console.log($scope.downloadProgress);
	        });
	      });
	}

	
   

    // console.log($state.params.link);
	// load more content function
	$scope.loadData = function(){
		$ionicLoading.show({template: "Load Data Ebook"});
		Ebooks.getDetail($state.params.link)
		.success(function(posts){
			$ionicLoading.show({template: "Load Data Ebook Success", duration:3000});
			if(posts.kode == "200"){
				// $scope.blogs = suc.data;
				$scope.items =  posts.data;
				$scope.headertitle = posts.data.title;
				
				$cordovaFile.checkFile(cordova.file.dataDirectory, $state.params.link + '.pdf')
				.then(function (success) {
					
				    $scope.pdfUrl = cordova.file.dataDirectory + $state.params.link + '.pdf';
				}, function (error) {
					
				    $scope.downloadpdf( $scope.items.file, $state.params.link);
				});
				
			}
			
		})
		.error(function(err){
			
		});

	}

	$scope.loadData();	

	
	
}]);

/* ebook controller */
app.controller('EventCtrl', ['$rootScope', '$scope', '$state', '$ionicLoading', 'Event', 'AuthService', 'APISERVER', function($rootScope, $scope, $state, $ionicLoading, Event, AuthService, APISERVER) {	
	$scope.items = [];

	$rootScope.mainmenu = "show";
	$scope.titleheader = 'Event';
	$scope.base_url = APISERVER.BASE_URL;;
	// $ionicNavBarDelegate.showBackButton(false);

	var auth = AuthService.isAuthenticated(); 
	if(auth != false){
		$rootScope.showmenu = "show";
	}

    
	// load more content function
	$scope.loadData = function(){
		$ionicLoading.show({template: "Load Data"});
		Event.getlist($state.params.id)
		.success(function(posts){
			// console.log(posts.data);

			if(posts.kode == "200"){
				// $scope.blogs = suc.data;
				$scope.items =  posts.data;
				$scope.titleheader = $scope.items.event_detail_title;
				$ionicLoading.show({template: "Load Data Success", duration:1000});
			}else{
				$scope.postsCompleted = true;
				$ionicLoading.show({template: "Load Data Failed", duration:1000});
			}
			
		})
		.error(function(err){
			$ionicLoading.show({template: "Load error", duration:2000});
		});

	}

	
	$scope.loadData();
}]);


/* ebook controller */
app.controller('EventdetCtrl', ['$rootScope', '$scope', '$state', '$ionicLoading', 'Event', 'AuthService', 'APISERVER', function($rootScope, $scope, $state, $ionicLoading, Event, AuthService, APISERVER) {	
	$scope.items = [];

	$rootScope.mainmenu = "show";
	$rootScope.sumbangan = [];

	$scope.base_url = APISERVER.BASE_URL;;
	$scope.details = true;
	$scope.inputform = [];
	$scope.inputform.jml = 1;
	
	
	var sumbangan = localStorage.sumbangan;
	// console.log(sumbangan);
	if(sumbangan == undefined || sumbangan == -1){
		sumbangan = [];
		$rootScope.sumbangan = [];
		
	}else{
		var sumbangan = JSON.parse(sumbangan);
		$rootScope.sumbangan = sumbangan;
		
	}
	// console.log(sumbangan);
	

	var auth = AuthService.isAuthenticated(); 
	if(auth != false){
		$rootScope.showmenu = "show";
	}

    
	// load more content function
	$scope.loadData = function(){
		$ionicLoading.show({template: "Load Data"});
		Event.getDetail($state.params.id)
		.success(function(posts){
			// console.log(posts.data);

			if(posts.kode == "200"){
				// $scope.blogs = suc.data;
				$scope.selected_ =  posts.data;
				
				$ionicLoading.show({template: "Load Data Success", duration:1000});
			}else{
				$scope.postsCompleted = true;
				$ionicLoading.show({template: "Load Data Failed", duration:1000});
			}
			
		})
		.error(function(err){
			$ionicLoading.show({template: "Load error", duration:2000});
		});

	}

	$scope.submitAmal = function()
	{	
		if($scope.inputform.jml != undefined && $scope.inputform.jml > 0){
			
			var temp = {
					"nominal" : $scope.selected_.event_detail_nominal, 
					"id" : $scope.selected_.event_detail_id,
					"title" : $scope.selected_.event_detail_title,
					"type" :"event",
					"qty" : $scope.inputform.jml,
				}
			// console.log(temp);
			if($rootScope.sumbangan.length == 0){
				$rootScope.sumbangan = $rootScope.sumbangan.concat(temp);
			}else{
				var log = false;
				angular.forEach($rootScope.sumbangan, function(value, key) {
					if(value.id == temp.id){
						value.qty = parseInt(value.qty) + parseInt(temp.qty);
						log = true;
					}
					
				});
				if(log == false){
					$rootScope.sumbangan = $rootScope.sumbangan.concat(temp);
				}

			}
			
			// console.log($rootScope.sumbangan);
			
			
			localStorage.sumbangan = JSON.stringify($rootScope.sumbangan);
			$ionicLoading.show({template: "Donasi Anda telah masuk kotak donasi", duration: 1000});
				

		}else{
			$ionicLoading.show({template: "Silahkan masukkan nominal sumbangan Anda", duration: 3000});	
		}
	}

	
	$scope.loadData();
}]);