// Model ebook
app.factory('Ebooks', ['$http', 'APISERVER', function($http, APISERVER) {
    var data = {};
    
    data.getDetail = function (id) {
        return $http(
            {
                method: 'GET', 
                url: APISERVER.URL + "ebook/detail/"+id,
                headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            }
        );
    };
    data.getlist = function (page) {
        return $http(
            {
                method: 'GET', 
                url: APISERVER.URL + "ebook/index/"+page,
                headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            }
        );
    };
    return data;
}]);

// Model Crowdfunding
app.factory('CrowdFunding', ['$http', 'APISERVER', function($http, APISERVER) {
    var data = {};
    
    data.getDetail = function (id) {
        return $http(
            {
                method: 'GET', 
                url: APISERVER.URL + "crowdfunding/detail/"+id,
                headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            }
        );
    };
    data.getlist = function (page) {
        return $http(
            {
                method: 'GET', 
                url: APISERVER.URL + "crowdfunding/index/"+page,
                headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            }
        );
    };
    return data;
}]);

// Model Crowdfunding
app.factory('Event', ['$http', 'APISERVER', function($http, APISERVER) {
    var data = {};
    
    data.getDetail = function (id) {
        return $http(
            {
                method: 'GET', 
                url: APISERVER.URL + "event/detail/"+id,
                headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            }
        );
    };
    data.getIndex = function () {
        return $http(
            {
                method: 'GET', 
                url: APISERVER.URL + "event",
                headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            }
        );
    };
    data.getlist = function (id) { 
        return $http(
            {
                method: 'GET', 
                url: APISERVER.URL + "event/listing/"+id,
                headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            }
        );
    };
    return data;
}]);

// Model Crowdfunding
app.factory('Donasi', ['$http', 'APISERVER', function($http, APISERVER) {
    var data = {};
    
    data.getDetail = function (id) {
        return $http(
            {
                method: 'GET', 
                url: APISERVER.URL + "crowdfunding/detail/"+id,
                headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            }
        );
    };
    data.getList = function (id, page) {
        return $http(
            {
                method: 'GET', 
                url: APISERVER.URL + "donasi/detail/"+id + "/" + page,
                headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            }
        );
    };
    data.getJenis = function (page) {
        return $http(
            {
                method: 'GET', 
                url: APISERVER.URL + "donasi/jenis/",
                headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            }
        );
    };
    data.saveDonasi = function (id, userData) {
        return $http(
            {
                method: 'POST', 
                url: APISERVER.URL + "donasi/save/"+id,
                headers: {'Content-Type': 'application/x-www-form-urlencoded'},
                data : userData,
            }
        );
    };
    return data;
}]);

app.factory('SocialData', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Facebook',
            icon: 'ion-social-facebook',
				url: 'http://www.facebook.com/weblogtemplates'
        },
        { 
            title: 'Twitter',
            icon: 'ion-social-twitter',
				url: 'http://twitter.com/weblogtemplates'
        },
        { 
            title: 'Pinterest',
            icon: 'ion-social-pinterest',
				url: 'http://twitter.com/weblogtemplates'
        },
        { 
            title: 'Linkedin',
            icon: 'ion-social-linkedin',
				url: 'http://twitter.com/weblogtemplates'
        },
        { 
            title: 'Github',
            icon: 'ion-social-github',
				url: 'http://twitter.com/weblogtemplates'
        },
        { 
            title: 'Google +',
            icon: 'ion-social-googleplus',
				url: 'http://twitter.com/weblogtemplates'
        }
    ]; 
    
    return data;
})
// Home Data: Home page configuration
app.factory('VideoData', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Justin Bieber - All That Matters',
            video: 'https://www.youtube.com/embed/JC2yu2a9sHk',
        },
        { 
            title: 'Justin Bieber - Confident ft. Chance The Rapper',
            video: 'https://www.youtube.com/embed/47YClVMlthI',
        },
        { 
            title: 'Tori Kelly - Dear No One',
            video: 'https://www.youtube.com/embed/njmCUJ94lUM',
        },
        { 
            title: 'Katty Perry Roar',
            video: 'https://www.youtube.com/embed/CevxZvSJLk8',
        }
    ]; 
    
    return data;
})
// Home Data: Home page configuration
app.factory('PostData', function(){
	var postMain = "";
		postMain += "<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>";
   	postMain += "<ul><li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li><li>Aliquam tincidunt mauris eu risus.</li><li>Vestibulum auctor dapibus neque.</li></ul>";
		postMain += "<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>";
		postMain += "<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>";
	
   return postMain;
})
// feeds
app.factory('Blog', ['$http', 'Config', function($http, Config) {
	var data = {};
	data.getPosts = function () {
		return $http(
			{
				method: 'GET', url:Config.ApiUrl
			}
		);
	}
  	return data;
}]);


// posts from a demo url
app.factory('Photos',['$http', 'Config', function($http, Config) {
	var data = {};
	data.getPosts = function () {
		return $http(
			{
				method: 'GET', url:Config.PhotoUrl
			}
		);
	}
  	return data;
}]);
// comments factory -- fetching comments from an api -- just sample api
//
app.factory('Comments',['$http', 'Config', function($http, Config) {
	var data = {};
	data.getComments = function () {
		return $http( 
			{
				method: 'GET', url:Config.CommentUrl
			}
		);
	}
  	return data;
}]);
// friends factory
app.factory('Friends',['$http', 'APISERVER', function($http, APISERVER) {
	var data = {};
	data.getFriends = function (userid, page) {
		return $http(
			{
				method: 'GET', 
                url: APISERVER.URL + "/member/index/"+userid + "?page="+page,
                headers: {'Content-Type': 'application/x-www-form-urlencoded'},
			}
		);
	}
  	return data;
}]);
app.factory('Features', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Profile',
            icon: 'ion-person',
            url: '#/app/profile'
        },
		  { 
            title: 'Friends',
            icon: 'ion-ios-people',
            url: '#/app/friends'
        },
		  
       
        { 
            title: 'Gallery',
            icon: 'ion-images',
            url: '#/app/gallery'
        },
       
        { 
            title: 'News',
            icon: 'ion-ios-paper',
            url: '#/app/news'
        },
		
		
    ]; 
    
    return data;
})
app.factory('myPushNotification', ['$http', 'PushNoti', function ($http, PushNoti) {
  return {
		registerPush: function(fn) { 
            // alert('2');
			var myPushNotification = window.plugins.pushNotification,
			successHandler = function(result) {
				 // alert('result = ' + result);
			},
			errorHandler = function(error) {
				 // alert('error = ' + error);
			};
			if (device.platform == 'android' || device.platform == 'Android') { //alert('asdasd');
				// myPushNotification.unregister(successHandler, errorHandler);
				myPushNotification.register(successHandler, errorHandler, {
					 'senderID': PushNoti.senderID, // **ENTER YOUR SENDER ID HERE**
					 'ecb': 'onNotificationGCM'
				});
		  }
		}
  };
}]);
// push notification push to server
app.factory('SendPush',['$http', 'Config', function($http, Config) {
	var SendPush = {};
	SendPush.android = function(token) {
		return  $http({method: "post", url: 'http://www.skyafar.com/tools/push/push.php',
			data: {
				token: token,
			}
		});
	}
  	return SendPush;
}]);
// friends factory
app.factory('Messages',['$http', 'Config', function($http, Config) {
	var data = {};
	data.getMesages = function () {
		return $http(
			{
				method: 'GET', url:Config.MessagesUrl
			}
		);
	}
	data.getMessage = function () {
		return $http(
			{
				method: 'GET', url:Config.MessageUrl
			}
		);
	}
  	return data;
}]);
// blog feeds
app.factory('Feeds', function(){
    var data = {};

    data.feed = "http://www.ydsf.org/komunitas/feed/";
    
    data.items = [
        { 
            title: 'Huffingtonpost',
            feed: 'http://www.huffingtonpost.com/feeds/index.xml',
        },
        { 
            title: 'CNN.com News',
            feed: 'http://rss.cnn.com/rss/cnn_topstories.rss',
        },
        { 
            title: 'New York Times Home Page',
            feed: 'http://feeds.nytimes.com/nyt/rss/HomePage',
        },
        { 
            title: 'Washington Post: Today\'s Highlights',
            feed: 'http://www.washingtonpost.com/rss/',
        }
    ]; 
    
    return data;
});


app.factory('globalFactory', function() {
    return {
        // get first image or feed
        getPostImageFeed: function( postContent ) {
            var div = document.createElement('div');
            div.innerHTML = postContent;
            var img = div.getElementsByTagName("img");
            var iframe = div.getElementsByTagName("iframe");
            if (img.length >= 1) {
                imgthumb = img[0].src;
                return imgthumb;
            } else if (iframe.length >= 1){
                iframeVideo = iframe[0].src;
                var re = /(\?v=|\/\d\/|\/embed\/)([a-zA-Z0-9\-\_]+)/;
                videokeynum = iframeVideo.match(re);
                if(videokeynum) {
                    videokey = iframeVideo.match(re)[2];
                    imageurl = 'http://i2.ytimg.com/vi/'+videokey+'/0.jpg';
                    return imageurl;                  
              }
            }
        }
    };
});


app.factory('Registrasi',['$http', 'APISERVER', function($http, APISERVER) {
    var data = {};
    data.getPosts = function (userData) {
        //console.log(userData);
        return $http(
            {
                method: 'POST', 
                url: APISERVER.URL + "/registrasi",
                headers: {'Content-Type': 'application/x-www-form-urlencoded'},
                data : userData,
            }
        );
    };
    data.cekUsername = function (userData) {
        //console.log(userData);
        return $http(
            {
                method: 'POST', 
                url: APISERVER.URL + "/registrasi/cekusername",
                headers: {'Content-Type': 'application/x-www-form-urlencoded'},
                data : userData,
            }
        );
    };
    data.cekEmail = function (userData) {
        //console.log(userData);
        return $http(
            {
                method: 'POST', 
                url: APISERVER.URL + "/registrasi/cekemail",
                headers: {'Content-Type': 'application/x-www-form-urlencoded'},
                data : userData,
            }
        );
    };
   
    return data;
}]);

// feeds


// Profil
app.factory('SettingProfil', ['$http', 'APISERVER', function($http, APISERVER) {
    var data = {};
    
    data.getData = function (userid) {
        return $http(
            {
                method: 'GET', 
                url: APISERVER.URL + "/profil/index/"+userid,
                headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            }
        );
    };

    data.getKota = function (userid) {
        return $http(
            {
                method: 'GET', 
                url: APISERVER.URL + "/profil/kota/",
                headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            }
        );
    };

    data.getPropinsi = function (userid) {
        return $http(
            {
                method: 'GET', 
                url: APISERVER.URL + "/profil/propinsi/",
                headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            }
        );
    };
    data.getNegara = function (userid) {
        return $http(
            {
                method: 'GET', 
                url: APISERVER.URL + "/profil/negara/",
                headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            }
        );
    };

    data.getBidangusaha = function (userid) {
        return $http(
            {
                method: 'GET', 
                url: APISERVER.URL + "/profil/bidangusaha/",
                headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            }
        );
    };

    data.sendProfil = function (userData) {
        param = JSON.stringify(userData);
        return $http(
            {
                method: 'POST', 
                url: APISERVER.URL + "/profil/save",
                headers: {'Content-Type': 'application/x-www-form-urlencoded'},
                data : JSON.parse(param),
            }
        );
    };
    
    return data;
}]);