angular.module('mobsocial.products')
// all products controller
.controller('ProductsController', [
	'$scope', '$state', '$ionicModal', '$cordovaCamera', '$ionicLoading', '$cordovaFileTransfer','Products', 'AuthService', 'APISERVER', function(
	$scope, $state, $ionicModal, $cordovaCamera, $ionicLoading, $cordovaFileTransfer, Products, AuthService, APISERVER) {
		$scope.items = [];
		$scope.times = 0 ;
		$scope.page = 1 ;
		$scope.postsCompleted = false;
		$scope.hideupload = 'hide';
		$scope.picData = 'img/photo.png';
		$scope.katalog = {};
		$scope.base_url = APISERVER.BASE_URL;
		// console.log(localStorage.authlogin);
		
		
		var auth = AuthService.isAuthenticated(); 
		if(auth != false){
			$scope.hideupload = 'show';
		}
		

		$scope.gotoMykatalog = function()
		{
			$state.go('app.myproducts');
		}
		

		// load more content function
		$scope.getPosts = function(){
			Products.getPosts($scope.page)
			.success(function (posts) {
				if(posts.kode == "200"){
					$scope.items = $scope.items.concat(posts.data);
					$scope.$broadcast('scroll.infiniteScrollComplete');
					$scope.times = $scope.times + 1;
					$scope.page = $scope.page + 1;
					$scope.postsCompleted = true;
				}else{
					$scope.postsCompleted = true;
				}
			})
			.error(function (error) {
				$scope.items = [];
			});
		}
		// pull to refresh buttons
		$scope.doRefresh = function(){
			$scope.times = 0 ;
			$scope.page = 1 ;
			$scope.items = [];
			$scope.postsCompleted = false;
			$scope.getPosts();
			$scope.$broadcast('scroll.refreshComplete');
		}


		$ionicModal.fromTemplateUrl('katalog-modal.html', {
			scope: $scope,
			animation: 'slide-in-up'
		}).then(function(modal) {
			$scope.modal_katalog = modal;
		});

		$scope.openModalkatalog = function() {
			$scope.modal_katalog.show();
		};

		$scope.closeModal = function() {
		 	$scope.modal_katalog.hide();
		};


		document.addEventListener("deviceready", function () {

		    $scope.takePicture = function() {
			  var options = {
		        quality: 50,
		        destinationType: Camera.DestinationType.FILE_URL,
		        sourceType: Camera.PictureSourceType.CAMERA
		      };
			  $cordovaCamera.getPicture(options).then(
				function(imageData) {
					$scope.picData = imageData;
					$scope.hideupload = "show";
					// $localstorage.set('fotoUp', imageData);
					localStorage.fotoUp = imageData;
					$ionicLoading.show({template: 'Proses...', duration:500});
				},
				function(err){
					$ionicLoading.show({template: 'Error try again', duration:500});
					})
			  }

			  $scope.selectPicture = function() { 
				var options = {
					quality: 50,
					destinationType: Camera.DestinationType.FILE_URI,
					sourceType: Camera.PictureSourceType.PHOTOLIBRARY
				};
				// $ionicLoading.show({template: 'get ready to take foto from folder...', duration:500});
				$cordovaCamera.getPicture(options).then(
					function(imageURI) {
						window.resolveLocalFileSystemURI(imageURI, function(fileEntry) {
							$scope.picData = fileEntry.nativeURL;
							
							var image = document.getElementById('edit-profile-image');
							image.src = fileEntry.nativeURL;
			  			});
			  			$scope.hideupload = "show";
						// $ionicLoading.show({template: 'Foto acquisita...', duration:500});
					},
					function(err){
						// $ionicLoading.show({template: 'Errore di caricamento...', duration:500});
					}
				)
			};

		    $scope.savekatalog = function() {
				
				var fileURL = $scope.picData;
				// alert(JSON.stringify(fileURL));
				var options = new FileUploadOptions();
				options.fileKey = "file";
				options.fileName = fileURL.substr(fileURL.lastIndexOf('/') + 1);
				options.mimeType = "image/jpeg";
				options.chunkedMode = false;
				
				// alert(JSON.stringify(options));
				var params = {};
				params.user = $scope.user.id;
				params.title = $scope.katalog.title;
				params.detail = $scope.katalog.description;
		        // params.value2 = "katalog";

				options.params = params;

				$cordovaFileTransfer.upload(APISERVER.URL + "/upload/katalog", fileURL, options).then(function(result) {
		            $ionicLoading.show({template: 'Upload katalog success', duration:500});
		            $scope.image_profil = result.response;
		            $scope.closeModal();
		            $scope.doRefresh();
		        }, function(err) {
		            alert("ERROR: " + JSON.stringify(err));
		        }, function (progress) {
		            $ionicLoading.show({template: 'Proses upload...', duration:500});
		        });

				
		    }
		});

	}

	

	

])
/*   product controller  */
.controller('ProductController', [
	'$rootScope', '$scope', '$stateParams', '$ionicNavBarDelegate', '$ionicPopup', 'Products', 'APISERVER', function(
	$rootScope, $scope, $stateParams, $ionicNavBarDelegate, $ionicPopup, Products, APISERVER) {	
		var product_id = $stateParams.productId;
		$scope.selected_ = {};
		$scope.items = [];
		$scope.details = true;
		$scope.base_url = APISERVER.BASE_URL;
		$scope.titledetail = 'Detail katalog';
		$scope.availableOptions = [
	    	{id: '1', name: 'Wirausaha', label : 'Usaha'},
		    {id: '2', name: 'PNS', label : 'Dinas'},
		    {id: '3', name: 'Swasta', label : 'Pekerjaan'}
	    ];

	

		// looping though all data and get particular product

		$rootScope.mainmenu = "noshow";
	  	// $rootScope.backmenu = "show";
	  	$ionicNavBarDelegate.showBackButton(true);
		
		// get all posts // try some function to get a single produt from server
		$scope.getPosts = function(){
			Products.getPostsDetail(product_id)
			.success(function (post) {
				if(post.kode == "200"){
			    	$scope.selected_ = post.data;
			    	//$scope.selected_.jobtypename = $scope.selected_.jobtype
			    	$scope.titledetail = post.data.katalog_title;
			    	console.log($scope.selected_);
			    	// $scope.selected_.katalog_detail += "<br><br>Contac  <br>";
			    	// $scope.selected_.katalog_detail += 'Nama : <b>'+post.data.display_name+'</b><br>';
			    	// $scope.selected_.katalog_detail += 'Telp : <a href="tel:'+post.data.telp+'">'+post.data.telp+'</a><br>';
			    }else{

			    }
			})
			.error(function (error) {
				$scope.selected_ = [];
			});
		}
		$scope.getPosts();
		$scope.titledetail = $scope.selected_.katalog_title;
		$scope.changeRev = function(){
			if($scope.details == true){
				$scope.details = false;
			} else {
				$scope.details = true;
			}
		}

		$scope.showPopup = function(title, message)
		{
			$ionicPopup.alert({
		        title: title,
		        template: message,
		      });
		}
	}

])


// controller my katalog
.controller('MyproductsController', [
	'$scope', '$state', '$ionicModal', '$cordovaCamera', '$ionicLoading', '$cordovaFileTransfer','Products', 'AuthService', 'APISERVER', function(
	$scope, $state, $ionicModal, $cordovaCamera, $ionicLoading, $cordovaFileTransfer, Products, AuthService, APISERVER) {
		$scope.items = [];
		$scope.times = 0 ;
		$scope.page = 1 ;
		$scope.postsCompleted = false;
		$scope.hideupload = 'hide';
		$scope.hideuploadsave = 'hide';
		$scope.picData = 'img/photo.png';
		$scope.katalog = {};
		$scope.base_url = APISERVER.BASE_URL;
		// console.log(localStorage.authlogin);
		
		
		var auth = AuthService.isAuthenticated(); 
		if(auth != false){
			$scope.hideupload = 'show';
			authlogin = JSON.parse(localStorage.authlogin);
			$scope.user = authlogin;	
		}
		
		

		// load more content function
		$scope.getPosts = function(){

			Products.getMyposts($scope.page, $scope.user.id)
			.success(function (posts) {
				if(posts.kode == "200"){
					$scope.items = $scope.items.concat(posts.data);
					$scope.$broadcast('scroll.infiniteScrollComplete');
					$scope.times = $scope.times + 1;
					$scope.page = $scope.page + 1;
					$scope.postsCompleted = true;
					
				}else{
					$scope.postsCompleted = true;
				}
			})
			.error(function (error) {
				$scope.items = [];
			});
		}
		// pull to refresh buttons
		$scope.doRefresh = function(){
			$scope.times = 0 ;
			$scope.page = 1 ;
			$scope.items = [];
			$scope.postsCompleted = false;
			$scope.getPosts();
			$scope.$broadcast('scroll.refreshComplete');
		}


		$ionicModal.fromTemplateUrl('katalog-modal.html', {
			scope: $scope,
			animation: 'slide-in-up'
		}).then(function(modal) {
			$scope.modal_katalog = modal;
		});

		$scope.openModalkatalog = function(idkatalog) {
			// console.log($scope.items);
			if(idkatalog != ''){
				angular.forEach($scope.items, function(value, key) {
			    	if(idkatalog == value.katalog_id){
			    		$scope.katalog.title = value.katalog_title;
			    		$scope.katalog.description = value.katalog_detail;
			    		$scope.katalog.idkatalog = idkatalog;
			    		$scope.picData = $scope.base_url + value.katalog_image;
			    	}
			    	// console.log($scope.katalog);
			    });
			}else{
				$scope.picData = 'img/photo.png';
				$scope.katalog = {};
				$scope.katalog.idkatalog = 0;
			}
			
			$scope.modal_katalog.show();
		};

		$scope.closeModal = function() {
		 	$scope.modal_katalog.hide();
		 	$scope.hideuploadsave = "show";
		};


		document.addEventListener("deviceready", function () {

		    $scope.takePicture = function() {
			  var options = {
		        quality: 50,
		        destinationType: Camera.DestinationType.FILE_URL,
		        sourceType: Camera.PictureSourceType.CAMERA
		      };
			  $cordovaCamera.getPicture(options).then(
				function(imageData) {
					$scope.picData = imageData;
					$scope.hideuploadsave = "show";
					// $localstorage.set('fotoUp', imageData);
					localStorage.fotoUp = imageData;
					$ionicLoading.show({template: 'Proses...', duration:500});
				},
				function(err){
					$ionicLoading.show({template: 'Error try again', duration:500});
					})
			  }

			  $scope.selectPicture = function() { 
				var options = {
					quality: 50,
					destinationType: Camera.DestinationType.FILE_URI,
					sourceType: Camera.PictureSourceType.PHOTOLIBRARY
				};
				// $ionicLoading.show({template: 'get ready to take foto from folder...', duration:500});
				$cordovaCamera.getPicture(options).then(
					function(imageURI) {
						window.resolveLocalFileSystemURI(imageURI, function(fileEntry) {
							$scope.picData = fileEntry.nativeURL;
							
							var image = document.getElementById('edit-profile-image');
							image.src = fileEntry.nativeURL;
			  			});
			  			$scope.hideuploadsave = "show";
						// $ionicLoading.show({template: 'Foto acquisita...', duration:500});
					},
					function(err){
						// $ionicLoading.show({template: 'Errore di caricamento...', duration:500});
					}
				)
			};

		    $scope.savekatalog = function() {
				
				var fileURL = $scope.picData;
				// alert(JSON.stringify(fileURL));
				var options = new FileUploadOptions();
				options.fileKey = "file";
				options.fileName = fileURL.substr(fileURL.lastIndexOf('/') + 1);
				options.mimeType = "image/jpeg";
				options.chunkedMode = false;
				
				// alert(JSON.stringify(options));
				var params = {};
				params.user = $scope.user.id;
				params.title = $scope.katalog.title;
				params.detail = $scope.katalog.description;
				params.idkatalog = $scope.katalog.idkatalog;
		        // params.value2 = "katalog";

				options.params = params;

				$cordovaFileTransfer.upload(APISERVER.URL + "/upload/katalog", fileURL, options).then(function(result) {
		            $ionicLoading.show({template: 'Upload katalog success', duration:500});
		            $scope.image_profil = result.response;
		            $scope.closeModal();
		            $scope.doRefresh();
		        }, function(err) {
		            alert("ERROR: " + JSON.stringify(err));
		        }, function (progress) {
		            $ionicLoading.show({template: 'Proses upload...', duration:500});
		        });

				
		    }
		});

	}

	

	

])